## lubuntu-default-settings 0.46

=== src/usr/share/applications/po/Makefile ===
#!/usr/bin/make -f

POTFILES := $(shell cat POTFILES.in)

all: generate-po-files

generate-pot: POTFILES.in
	intltool-update --pot --gettext-package=lubuntu-default-settings-applications

generate-po-files:
	for i in $(POTFILES); do \
		f=$$(echo $$i | sed 's/\.in//'); \
		intltool-merge -d . ../$$i ../$$f; \
	done

update-po:
	for i in *.po; do \
		code=$$(echo $$i | sed 's/.po//'); \
		intltool-update --gettext-package=lubuntu-default-settings-applications --dist $$code; \
	done

# vim:ts=4

=== src/usr/share/xsessions/po/Makefile ===
#!/usr/bin/make -f

POTFILES := $(shell cat POTFILES.in)

all: generate-po-files

generate-pot: POTFILES.in
	intltool-update --pot --gettext-package=lubuntu-default-settings-xsessions

generate-po-files:
	for i in $(POTFILES); do \
		f=$$(echo $$i | sed 's/\.in//'); \
		intltool-merge -d . ../$$i ../$$f; \
	done

update-po:
	for i in *.po; do \
		code=$$(echo $$i | sed 's/.po//'); \
		intltool-update --gettext-package=lubuntu-default-settings-xsessions --dist $$code; \
	done

# vim:ts=4

=== debian/changelog ===
lubuntu-default-settings (0.46) xenial; urgency=medium

  * src/etc/xdg/lubuntu/menus/lxqt-applications.menu:
   - Add some comments to the structure.
   - Exclude Evince from Office menu, it's already in Graphics.
   - Exclude Pcmanfm from System menu, already in Utility.
  * src/etc/xdg/pcmanfm/lubuntu/pcmanfm.conf:
   - Re-add [desktop] item in pcmanfm.conf, to correctly load settings on first
     start (LP: #1551446).

 -- Julien Lavergne <gilir@ubuntu.com>  Sun, 10 Apr 2016 12:09:00 +0200

=== debian/control ===
Source: lubuntu-default-settings
Section: x11
Priority: optional
Maintainer: Julien Lavergne <gilir@ubuntu.com>
Build-Depends: debhelper (>= 9),
               intltool
Standards-Version: 3.9.5
Homepage: https://launchpad.net/~lubuntu-desktop
Vcs-Bzr: lp:lubuntu-default-settings
Vcs-Browser: http://bazaar.launchpad.net/~lubuntu-dev/lubuntu-default-settings/trunk/files

Package: lubuntu-default-settings
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, 
         lxsession (>= 0.4.1), 
         lubuntu-artwork (>= 0.4), 
         lubuntu-icon-theme,
         pcmanfm (>= 0.9.5) | pcmanfm-qt,
         ttf-ubuntu-font-family,
         lxsession-logout,
         policykit-desktop-privileges,
         xbacklight
Suggests: amixer,
          scrot,
          galculator,
          xscreensaver,
          dmz-cursor-theme
Conflicts: lxqt-common
Replaces: lxqt-common
Provides: lxqt-common
Description: default settings for Lubuntu
 Various system settings tailored for Lubuntu.

Package: lubuntu-extra-sessions
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         lubuntu-default-settings
Breaks: lubuntu-default-settings (<< 0.37)
Description: extra session for differents default settings of Lubuntu
 Various system settings tailored for various version of Lubuntu.

Package: lxgames-default-session
Architecture: all
Depends: ${misc:Depends},
         lubuntu-default-settings,
         lightdm-gtk-greeter (>= 2.0.1-1),
         lightdm (>= 1.9.4),
         lubuntu-extra-sessions
Provides: lightdm-gtk-greeter-config
Description: Set default session to lxgames
 This package sets the default session to lxgames by default.

Package: lubuntu-default-session
Architecture: all
Depends: ${misc:Depends},
         lubuntu-default-settings,
         lightdm-gtk-greeter (>= 2.0.1-1),
         lightdm (>= 1.9.4)
Provides: lightdm-gtk-greeter-config
Description: Set default session to Lubuntu
 This package sets the default session to Lubuntu by default.

Package: lubuntu-nexus7-default-session
Architecture: all
Depends: ${misc:Depends},
         lubuntu-default-settings,
         lightdm-gtk-greeter (>= 2.0.1-1),
         lightdm (>= 1.9.4),
         lubuntu-extra-sessions
Provides: lightdm-gtk-greeter-config
Description: Set default session to Lubuntu Nexus7 version
 This package sets the default session to Lubuntu Nexus7 version by default.

Package: lubuntu-nexus7-extra-files
Architecture: all
Depends: ${misc:Depends},
         lubuntu-default-settings
Description: Extra files for the nexus7 session
 This package contents extra files for the nexus7 session.

Package: qlubuntu-default-session
Architecture: all
Depends: ${misc:Depends},
         lubuntu-default-settings,
         sddm,
         lubuntu-extra-sessions
Provides: razorqt-lightdm-greeter-config
Description: Set default session to QLubuntu version
 This package sets the default session to QLubuntu version by default.

Package: lubuntu-live-settings
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         lubuntu-default-settings
Description: default settings for Lubuntu live ISO
 Various system settings tailored for Lubuntu ISO.

## lubuntu-default-settings 0.46.1

=== debian/changelog ===
lubuntu-default-settings (0.46.1) xenial; urgency=medium

  * Use the non-ALSA volume mixer (LP: #1710993).
    - Add a hard dependency on indicator-sound-gtk2 to get this to work.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 16 Sep 2017 18:25:46 -0500

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
          ttf-ubuntu-font-family,
          lxsession-logout,
          policykit-desktop-privileges,
+         indicator-sound-gtk2,
          xbacklight
 Suggests: amixer,
           scrot,

## lubuntu-default-settings 0.47

=== debian/changelog ===
lubuntu-default-settings (0.47) yakkety; urgency=medium

  * src/usr/share/lxpanel/profile/Lubuntu/panels/panel:
   - Enable sound indicator by default.
  * src/usr/share/lubuntu/openbox/rc.xml:
   - Force the focus when opening an application, to fix the focus when a
     terminal is launched from pcmanfm.
   - Re-sync on upstream settings file, adding notes about specific settings.
  * src/etc/xdg/lubuntu/menus/lxde-applications.menu:
   - Hide ImageMagick Q16 links from the menu (from Xubuntu).
  * src/etc/xdg/lxsession/*/desktop.conf
   - Enable lxsession 0.5.2+ settings.
  * src/etc/xdg/lxqt/
   - Move lxqt files to not conflicts with lxqt-common.

 -- Julien Lavergne <gilir@ubuntu.com>  Wed, 17 Aug 2016 22:31:28 +0200

=== debian/control ===
--- 
+++ 
@@ -20,16 +20,12 @@
          ttf-ubuntu-font-family,
          lxsession-logout,
          policykit-desktop-privileges,
-         indicator-sound-gtk2,
          xbacklight
 Suggests: amixer,
           scrot,
           galculator,
           xscreensaver,
           dmz-cursor-theme
-Conflicts: lxqt-common
-Replaces: lxqt-common
-Provides: lxqt-common
 Description: default settings for Lubuntu
  Various system settings tailored for Lubuntu.

## lubuntu-default-settings 0.48

=== debian/changelog ===
lubuntu-default-settings (0.48) zesty; urgency=medium

  * Drop plasma.desktop session symlink which conflicts with
    plasma-workspace.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 13 Dec 2016 17:21:16 +0000

## lubuntu-default-settings 0.49

=== debian/changelog ===
lubuntu-default-settings (0.49) artful; urgency=medium

  * src/etc/xdg/lubuntu/applications/defaults.list:
   - Switch to gnome-mpv for the videos player.
  * src/etc/xdg/lxsession/*/desktop.conf:
   - Use dhcpcd-gtk for network management.
   - Use pavucontrol for audio management.
  * src/etc/xdg/lxsession/QLubuntu/desktop.conf:
   - Use pavucontrol-qt for audio management.
  * usr/share/xsessions/QLubuntu.desktop
   - Switch to lxqt-session, since sddm doesn't support command with arguments,
     and we stay closer to upstream.
  * src/usr/share/lxpanel/profile/Lubuntu/panels/panel:
   - Add bluetooth applet.
   - Replace launchbar and taskbar by the new combined taskbar applet.

 -- Julien Lavergne <gilir@ubuntu.com>  Fri, 26 May 2017 21:29:20 +0200

## lubuntu-default-settings 0.50

=== debian/changelog ===
lubuntu-default-settings (0.50) artful; urgency=medium

  * src/etc/xdg/xdg-Lubuntu/dhcpcd.conf
   - Install configuration file for dhcpcd to make it autostart.
  * debian/control:
   - Move lxsession from recommends to suggests, to not install it on the Qt
     image.

 -- Julien Lavergne <gilir@ubuntu.com>  Tue, 01 Aug 2017 20:04:16 +0200

=== debian/control ===
--- 
+++ 
@@ -13,17 +13,17 @@
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, 
-         lxsession (>= 0.4.1), 
          lubuntu-artwork (>= 0.4), 
          lubuntu-icon-theme,
          pcmanfm (>= 0.9.5) | pcmanfm-qt,
          ttf-ubuntu-font-family,
-         lxsession-logout,
          policykit-desktop-privileges,
          xbacklight
 Suggests: amixer,
           scrot,
           galculator,
+          lxsession,
+          lxsession-logout,
           xscreensaver,
           dmz-cursor-theme
 Description: default settings for Lubuntu

## lubuntu-default-settings 0.52

=== debian/changelog ===
lubuntu-default-settings (0.52) bionic; urgency=medium

  * Wrap-and-sort and fix whitespace.
  * Rework the dependencies so a lot of unnecessary stuff isn't pulled
    in on Lubuntu Next.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 10 Feb 2018 18:39:06 -0600

lubuntu-default-settings (0.51) bionic; urgency=medium

  * debian/gbp.conf
   - Add git-buildpackage configuration.
  * debian/control:
   - Update VCS fields to point to the git repository.
  * debian/lubuntu-default-settings.links
   - Add symlinks from xdg-Lubuntu to apply also the settings on LXQt
     session.
  * src/etc/xdg/xdg-Lubuntu/lxqt:
   - Add specific settings for lxqt on LXQt session.
  * src/etc/xdg/xdg-Lubuntu/openbox/lxqt-rc.xml:
   - Add specific settings for openbox on LXQt session.
  * src/etc/xdg/xdg-Lubuntu/menu/lxqt-applications.menu:
   - Add a menu file for LXQt session.

 -- Julien Lavergne <gilir@ubuntu.com>  Tue, 06 Feb 2018 20:11:47 +0100

## lubuntu-default-settings 0.53

=== debian/changelog ===
lubuntu-default-settings (0.53) bionic; urgency=medium

  * Move some things around:
    - Lubuntu.desktop should be in lubuntu-default-session.
    - QLubuntu.desktop should be in qlubuntu-default-session.
    - Lubuntu-Netbook.desktop should be in lubuntu-extra-sessions.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 11 Feb 2018 12:59:17 -0600

=== debian/control ===
Source: lubuntu-default-settings
Section: x11
Priority: optional
Maintainer: Julien Lavergne <gilir@ubuntu.com>
Build-Depends: debhelper (>= 9), intltool
Standards-Version: 3.9.5
Homepage: https://launchpad.net/~lubuntu-desktop
Vcs-Browser: https://git.launchpad.net/lubuntu-default-settings?h=master
Vcs-Git: https://git.launchpad.net/lubuntu-default-settings

Package: lubuntu-default-settings
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: lubuntu-artwork (>= 0.4),
         lubuntu-icon-theme,
         policykit-desktop-privileges,
         ttf-ubuntu-font-family,
         ${misc:Depends}
Suggests: amixer,
          dmz-cursor-theme,
          galculator,
          lxsession,
          lxsession-logout,
          pcmanfm (>= 0.9.5) | pcmanfm-qt,
          scrot,
          xbacklight,
          xscreensaver
Description: default settings for Lubuntu
 Various system settings tailored for Lubuntu.

Package: lubuntu-extra-sessions
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: lubuntu-default-settings, ${misc:Depends}
Breaks: lubuntu-default-settings (<< 0.37)
Description: extra session for different default settings of Lubuntu
 Various system settings tailored for various version of Lubuntu.

Package: lxgames-default-session
Architecture: all
Depends: lightdm (>= 1.9.4),
         lightdm-gtk-greeter (>= 2.0.1-1),
         lubuntu-default-settings,
         lubuntu-extra-sessions,
         ${misc:Depends}
Provides: lightdm-gtk-greeter-config
Description: Set default session to lxgames
 This package sets the default session to lxgames by default.

Package: lubuntu-default-session
Architecture: all
Depends: lightdm (>= 1.9.4),
         lightdm-gtk-greeter (>= 2.0.1-1),
         lubuntu-default-settings,
         ${misc:Depends}
Provides: lightdm-gtk-greeter-config
Description: Set default session to Lubuntu
 This package sets the default session to Lubuntu by default.

Package: lubuntu-nexus7-default-session
Architecture: all
Depends: lightdm (>= 1.9.4),
         lightdm-gtk-greeter (>= 2.0.1-1),
         lubuntu-default-settings,
         lubuntu-extra-sessions,
         ${misc:Depends}
Provides: lightdm-gtk-greeter-config
Description: Set default session to Lubuntu Nexus7 version
 This package sets the default session to Lubuntu Nexus7 version by default.

Package: lubuntu-nexus7-extra-files
Architecture: all
Depends: lubuntu-default-settings, ${misc:Depends}
Description: Extra files for the nexus7 session
 This package contents extra files for the nexus7 session.

Package: qlubuntu-default-session
Architecture: all
Depends: lubuntu-default-settings,
         sddm,
         sddm-theme-lubuntu-chooser,
         ${misc:Depends}
Provides: razorqt-lightdm-greeter-config
Description: Set default session to QLubuntu version
 This package sets the default session to QLubuntu version by default.

Package: lubuntu-live-settings
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: lubuntu-default-settings, ${misc:Depends}
Description: default settings for Lubuntu live ISO
 Various system settings tailored for Lubuntu ISO.

## lubuntu-default-settings 0.54

=== debian/changelog ===
lubuntu-default-settings (0.54) bionic; urgency=medium

  * Revert previous upload.
  * debian/lubuntu-default-settings.install & lubuntu-extra-sessions:
   - Move QLubuntu.session to the main package.
   - Move Lubuntu-Netbook to the extra sessions package.
  * debian/control:
   - Add Breaks according to previous upload.
   - Update Breaks for current upload.

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 12 Feb 2018 20:09:01 +0100

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
           scrot,
           xbacklight,
           xscreensaver
+Breaks: lubuntu-extra-sessions (<< 0.54)
 Description: default settings for Lubuntu
  Various system settings tailored for Lubuntu.
 
@@ -32,7 +33,7 @@
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: lubuntu-default-settings, ${misc:Depends}
-Breaks: lubuntu-default-settings (<< 0.37)
+Breaks: lubuntu-default-settings (<< 0.54)
 Description: extra session for different default settings of Lubuntu
  Various system settings tailored for various version of Lubuntu.
 
@@ -54,6 +55,7 @@
          lubuntu-default-settings,
          ${misc:Depends}
 Provides: lightdm-gtk-greeter-config
+Breaks: lubuntu-default-settings (<< 0.53)
 Description: Set default session to Lubuntu
  This package sets the default session to Lubuntu by default.
 
@@ -81,6 +83,7 @@
          sddm-theme-lubuntu-chooser,
          ${misc:Depends}
 Provides: razorqt-lightdm-greeter-config
+Breaks: lubuntu-extra-sessions (<< 0.53)
 Description: Set default session to QLubuntu version
  This package sets the default session to QLubuntu version by default.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install --fail-missing

## lubuntu-default-settings 0.54.1

=== debian/changelog ===
lubuntu-default-settings (0.54.1) bionic; urgency=medium

  * Completely remove /usr/share/xsessions/QLubuntu.desktop so we don't give
    off the impresssion that it's in any way supported. It's an extra session
    included because of Lubuntu Next, a product which we never actually
    released (LP: #1786602).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 11 Aug 2018 21:05:37 -0500

## lubuntu-default-settings 0.54.2

=== debian/changelog ===
lubuntu-default-settings (0.54.2) bionic; urgency=medium

  * Remove /usr/share/xsessions/QLubuntu.desktop from
    lubuntu-default-settings.install so dh_missing does not make the build
    FTBFS (LP: #1786602).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 03 Feb 2019 23:56:24 -0600

## lubuntu-default-settings 0.54.3

=== Makefile ===
#!/usr/bin/make -f

SUBDIRS := usr/share/applications/po usr/share/xsessions/po
 
all: install

install:
	mkdir -pv $(DESTDIR)
	cp -a src/etc src/usr $(DESTDIR)/.
	# po generation
	for i in $(SUBDIRS); do \
		make -C $(DESTDIR)/$$i; \
		rm -rf $(DESTDIR)/$$i; \
	done
	# remove some remaining files
	find $(DESTDIR) -type f -iname "*.in" | xargs rm -f

# vim:ts=4

=== debian/changelog ===
lubuntu-default-settings (0.54.3) bionic; urgency=medium

  * Set the default lock to light-locker-command instead of lxlock
    (LP: #1812594)

 -- apt-ghetto <apt-ghetto@lubuntu.me>  Thu, 25 Jul 2019 10:21:00 +0200

## lubuntu-default-settings 1.0

=== Makefile ===
#!/usr/bin/make -f

all: install

install:
	mkdir -pv $(DESTDIR)
	cp -a src/etc src/usr $(DESTDIR)/.

	# remove some remaining files
	find $(DESTDIR) -type f -iname "*.in" | xargs rm -f

# vim:ts=4

=== debian/changelog ===
lubuntu-default-settings (1.0) cosmic; urgency=medium

  * Move obsolete configuration files to another repository, and convert
    Lubuntu Next into Lubuntu. Only LXQt-based Lubuntu settings remain.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 14 May 2018 20:31:28 -0500

=== debian/control ===
Source: lubuntu-default-settings
Section: x11
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.4
Homepage: https://lubuntu.me
Vcs-Browser: https://git.launchpad.net/lubuntu-default-settings?h=master
Vcs-Git: https://git.launchpad.net/lubuntu-default-settings

Package: lubuntu-default-settings
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: lubuntu-artwork,
         lubuntu-icon-theme,
         policykit-desktop-privileges,
         ttf-ubuntu-font-family,
         ${misc:Depends}
Breaks: lubuntu-default-session (<< 1.0), lubuntu-default-settings (<< 1.0), lubuntu-extra-sessions (<< 1.0), lubuntu-live-settings (<< 1.0), lubuntu-nexus7-default-session (<< 1.0), lubuntu-nexus7-extra-files (<< 1.0), lxgames-default-session (<< 1.0), qlubuntu-default-session (<< 1.0)
Replaces: lubuntu-default-session (<< 1.0), lubuntu-default-settings (<< 1.0), lubuntu-extra-sessions (<< 1.0), lubuntu-live-settings (<< 1.0), lubuntu-nexus7-default-session (<< 1.0), lubuntu-nexus7-extra-files (<< 1.0), lxgames-default-session (<< 1.0), qlubuntu-default-session (<< 1.0)
Description: default settings for Lubuntu
 Various system settings tailored for Lubuntu.

## lubuntu-default-settings 1.4

=== debian/changelog ===
lubuntu-default-settings (1.4) cosmic; urgency=medium

  * Remove /usr/share/applications; these files are native in LXQt.
  * Refine the Openbox config (LP: #1781511):
    - Don't launch a file manager on Ctrl + Alt + D, because that already
      shows the desktop in LXQt.
    - Remove the volume button shortcuts as these are built into LXQt.
  * Refine the PCManFM-Qt settings:
    - Double the splitter position for the PCManFM-Qt Places panel.
    - gksu -> pkexec
    - Add settings for TerminalDirCommand and TerminalExecCommand.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 20 Jul 2018 02:30:11 -0500

lubuntu-default-settings (1.3) cosmic; urgency=medium

  * In the panel.conf file, turn on autoclearing of the search message; this
    makes it consistent with other desktop environments.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 21 May 2018 00:52:50 -0500

lubuntu-default-settings (1.2) cosmic; urgency=medium

  * Move the contents of /etc/xdg/lubuntu/ to /etc/xdg/xdg-Lubuntu/.
  * Ensure that the Lubuntu session uses our Openbox config.
  * Update runtime dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 May 2018 17:56:31 -0500

lubuntu-default-settings (1.1) cosmic; urgency=high

  * Fix the installation of the xsession file (LP: #1771681).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 May 2018 22:01:01 -0500

## lubuntu-default-settings 1.5

=== debian/changelog ===
lubuntu-default-settings (1.5) cosmic; urgency=medium

  * Add a config file for QTerminal.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 20 Jul 2018 03:46:13 -0500

## lubuntu-default-settings 1.8

=== debian/changelog ===
lubuntu-default-settings (1.8) cosmic; urgency=medium

  * Revert the last upload.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 10 Aug 2018 21:24:07 -0500

lubuntu-default-settings (1.7) cosmic; urgency=medium

  * Move PCManFM-Qt's settings up a directory.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 10 Aug 2018 21:21:12 -0500

lubuntu-default-settings (1.6) cosmic; urgency=medium

  * Translate into Norwegian Bokmål.
  * Add superkey activation for the start menu.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 31 Jul 2018 16:57:36 -0500

## lubuntu-default-settings 1.10

=== debian/changelog ===
lubuntu-default-settings (1.10) cosmic; urgency=medium

  * Use lxqt-sudo instead of pkexec as switch user command. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Thu, 16 Aug 2018 23:14:55 -0700

lubuntu-default-settings (1.9) cosmic; urgency=medium

  [ Simon Quigley ]
  * We use Falkon now, not Qupzilla (LP: #1786986).

  [ Walter Lapchynski ]
  * Set qterminal window size to upstream default. (LP: #1786978)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 16 Aug 2018 13:20:33 -0500

## lubuntu-default-settings 1.11

=== debian/changelog ===
lubuntu-default-settings (1.11) cosmic; urgency=medium

  * It's a native packages; so move patches over to the actual files.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 18 Aug 2018 22:14:40 -0500

## lubuntu-default-settings 1.12

=== debian/changelog ===
lubuntu-default-settings (1.12) cosmic; urgency=medium

  * Translate into Italian, French, and German.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 18 Aug 2018 22:17:35 -0500

## lubuntu-default-settings 1.17

=== debian/changelog ===
lubuntu-default-settings (1.17) cosmic; urgency=medium

  * Set leave confirmation dialog as default
  * Set breeze mouse cursors as default

 -- Hans P. Möller <hmoller@gmail.com>  Sun, 07 Oct 2018 18:31:35 -0300

lubuntu-default-settings (1.16) cosmic; urgency=medium

  [ Wendy Hill ]
  * Remove src/etc/xdg/xdg-Lubuntu/lxqt/globalkeyshortcuts.conf

  [ Simon Quigley ]
  * Set Firefox as the default browser.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 06 Oct 2018 16:16:34 -0500

lubuntu-default-settings (1.15) cosmic; urgency=medium

  * Enable GTK theme as default.
  * Set GTK theme to Arc-Darker.
  * Set featherpad as default application for text/plain and shellscript.*

 -- Hans P. Möller <hmoller@gmail.com>  Sat, 29 Sep 2018 23:24:06 -0300

lubuntu-default-settings (1.14) cosmic; urgency=medium

  [ Wendy Hill ]
  * Set default taskbar buttons to 200px width.

  [ Simon Quigley ]
  * Add additional Greek and Korean translations.

 -- Wendy Hill <wjeh0810@gmail.com>  Thu, 27 Sep 2018 14:08:20 -0600

lubuntu-default-settings (1.13) cosmic; urgency=medium

  * Blacklist nm-tray from System Tools menu category.

 -- Walter Lapchynski <wxl@ubuntu.com>  Sat, 18 Aug 2018 22:15:37 -0700

=== debian/control ===
Source: lubuntu-default-settings
Section: x11
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: debhelper (>= 11), intltool
Standards-Version: 4.1.4
Homepage: https://lubuntu.me
Vcs-Browser: https://git.launchpad.net/lubuntu-default-settings?h=master
Vcs-Git: https://git.launchpad.net/lubuntu-default-settings

Package: lubuntu-default-settings
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: lubuntu-artwork,
         lxqt-session,
         openbox,
         policykit-desktop-privileges,
         ttf-ubuntu-font-family,
         ${misc:Depends}
Breaks: lubuntu-default-session (<< 1.0),
        lubuntu-default-settings (<< 1.0),
        lubuntu-extra-sessions (<< 1.0),
        lubuntu-live-settings (<< 1.0),
        lubuntu-nexus7-default-session (<< 1.0),
        lubuntu-nexus7-extra-files (<< 1.0),
        lxgames-default-session (<< 1.0),
        qlubuntu-default-session (<< 1.0)
Replaces: lubuntu-default-session (<< 1.0),
          lubuntu-default-settings (<< 1.0),
          lubuntu-extra-sessions (<< 1.0),
          lubuntu-live-settings (<< 1.0),
          lubuntu-nexus7-default-session (<< 1.0),
          lubuntu-nexus7-extra-files (<< 1.0),
          lxgames-default-session (<< 1.0),
          qlubuntu-default-session (<< 1.0)
Description: default settings for Lubuntu
 Various system settings tailored for Lubuntu.

## lubuntu-default-settings 1.18

=== debian/changelog ===
lubuntu-default-settings (1.18) disco; urgency=medium

  * Set folder view ascending order. (LP: #1801210)
  * Set desktop shortcuts for home, trash, computer, and network as default.

 -- Dan Simmons <monetaryabyss@protonmail.com>  Sun, 03 Feb 2019 00:21:31 -0500

## lubuntu-default-settings 19.04.1

=== debian/changelog ===
lubuntu-default-settings (19.04.1) disco; urgency=medium

  [ Hans P. Möller ]
  * Set default icon theme as papirus (not dark) without colorize by widget.

  [ Simon Quigley ]
  * Bump version to match the release number.

 -- Hans P. Möller <hmoller@gmail.com>  Sun, 10 Feb 2019 22:24:33 -0300

## lubuntu-default-settings 19.04.2

=== debian/changelog ===
lubuntu-default-settings (19.04.2) disco; urgency=medium

  [ Hans P Möller ]
  * Set tap to click as default for touchpad

  [ Raman Sarda ]
  * Added entries for (almost) all file types to mimeapps.list

 -- Hans P Möller <hmollercl@lubuntu.me>  Sat, 06 Apr 2019 20:41:56 -0300

## lubuntu-default-settings 19.10.1

=== debian/changelog ===
lubuntu-default-settings (19.10.1) eoan; urgency=medium

  * Set default icon theme to ePapirus which is grey instead of black and looks
    better for dark icons over dark background (printer, about, skanlite, etc..)
  * Added "Hidden=true" nm-applet.desktop to autostart so it will not autostart.

 -- Hans P Möller <hmollercl@lubuntu.me>  Sun, 09 Jun 2019 21:15:54 -0400

## lubuntu-default-settings 19.10.2

=== debian/changelog ===
lubuntu-default-settings (19.10.2) eoan; urgency=medium

  * Adding back translations. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Mon, 17 Jun 2019 19:52:21 -0700

## lubuntu-default-settings 19.10.3

=== debian/changelog ===
lubuntu-default-settings (19.10.3) eoan; urgency=medium

  * Update mimeapps.list with more mimetypes.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sat, 27 Jul 2019 16:15:56 -0400

## lubuntu-default-settings 19.10.4

=== debian/changelog ===
lubuntu-default-settings (19.10.4) eoan; urgency=medium

  * Added lximage-qt-screenshot.desktop with NoDisplay=true so it does not
    appear because we changed screenshot program to screengrab

 -- Hans P. Möller <hmollercl@lubuntu.me>  Tue, 20 Aug 2019 23:04:42 -0400

## lubuntu-default-settings 19.10.5

=== debian/changelog ===
lubuntu-default-settings (19.10.5) eoan; urgency=medium

  [ Raman Sarda ]
  * Modified shortcuts so they don't interfere with lxqt-globalkeys.
  * Removed shortcuts not relevant to LXQt releases.
  * Removed non-functional shortcuts that were commented out.
  * Included globalkeys.conf for lxqt-globalkeys.

  [ Walter Lapchynski ]
  * Bump Standards-Version and debhelper compat version, no changes needed.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Wed, 21 Aug 2019 15:58:19 +0530

## lubuntu-default-settings 19.10.6

=== debian/changelog ===
lubuntu-default-settings (19.10.6) eoan; urgency=medium

  * Fixed Ctrl+Alt+B

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Fri, 06 Sep 2019 22:39:30 +0000

## lubuntu-default-settings 19.10.7

=== debian/changelog ===
lubuntu-default-settings (19.10.7) eoan; urgency=medium

  * Added config file for runner.
  * Actually fixed the Ctrl+Alt+B
  * Added setting for search media key.
  * Modified homepage button setting to open default browser instead of firefox.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Thu, 12 Sep 2019 21:04:11 +0000

## lubuntu-default-settings 19.10.8

=== debian/changelog ===
lubuntu-default-settings (19.10.8) eoan; urgency=medium

  * Fixed runner's default shortcut.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Thu, 19 Sep 2019 20:37:54 +0530

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: debhelper (>= 11), intltool
-Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 12), intltool
+Standards-Version: 4.4.0
 Homepage: https://lubuntu.me
 Vcs-Browser: https://git.launchpad.net/lubuntu-default-settings?h=master
 Vcs-Git: https://git.launchpad.net/lubuntu-default-settings

## lubuntu-default-settings 20.04.1

=== debian/changelog ===
lubuntu-default-settings (20.04.1) focal; urgency=medium

  * Added default theme for XscreenSaver
  * Changed the look of dialogue box to match the above theme. Thanks to wxl.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Tue, 06 Nov 2019 05:33:39 +0530

## lubuntu-default-settings 20.04.2

=== debian/changelog ===
lubuntu-default-settings (20.04.2) focal; urgency=medium

  * Added SAL_USE_VCLPLUGIN=qt5 env variable in session.conf.

 -- Hans P Möller <hmollercl@lubuntu.me>  Sat, 25 Jan 2020 22:44:42 -0300

## lubuntu-default-settings 20.04.3

=== debian/changelog ===
lubuntu-default-settings (20.04.3) focal; urgency=medium

  * Added nm-tray.conf in xdg for connection-editor
  * Bump standards version, no changes needed
  * Changed new debhelper and compat definition

 -- Hans P. Möller <hmollecl@ubuntu.me>  Mon, 10 Feb 2020 19:33:03 -0300

## lubuntu-default-settings 20.04.4

=== Makefile ===
#!/usr/bin/make -f

all: install
	make -C src/usr/share/xsessions/po/
	rm -rf src/usr/share/xsessions/po/ src/usr/share/xsessions/*.in

install:
	mkdir -pv $(DESTDIR)
	cp -a src/etc src/usr $(DESTDIR)/.

# vim:ts=4

=== debian/changelog ===
lubuntu-default-settings (20.04.4) focal; urgency=medium

  * Add alt-tab switching for all desktops. Thanks to Einar Mostad.

 -- Dan Simmons <kc2bez@lubuntu.me>  Tue, 18 Feb 2020 19:59:55 -0500

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: debhelper (>= 12), intltool
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), intltool
+Standards-Version: 4.5.0
 Homepage: https://lubuntu.me
 Vcs-Browser: https://git.launchpad.net/lubuntu-default-settings?h=master
 Vcs-Git: https://git.launchpad.net/lubuntu-default-settings
+Rules-Requires-Root: no
 
 Package: lubuntu-default-settings
 Architecture: all

## lubuntu-default-settings 20.10.1

=== debian/changelog ===
lubuntu-default-settings (20.10.1) groovy; urgency=medium

  * Added SAL_VCL_QT5_USE_CAIRO=true env variable in session.conf. LP: #1895216
  * Bump debhelper-compat version, no changes needed.

 -- Hans P Möller <hmollercl@lubuntu.me>  Tue, 06 Oct 2020 20:37:34 -0300

## lubuntu-default-settings 21.04.3

=== debian/changelog ===
lubuntu-default-settings (21.04.3) hirsute; urgency=medium

  * Swap ark for lxqt-archiver.

 -- Walter Lapchynski <wxl@ubuntu.com>  Thu, 04 Mar 2021 14:06:26 -0800

lubuntu-default-settings (21.04.2) hirsute; urgency=medium

  * Make qapt-deb-installer the default app for Debian packages.

 -- Walter Lapchynski <wxl@ubuntu.com>  Mon, 15 Feb 2021 13:43:55 -0800

lubuntu-default-settings (21.04.1) hirsute; urgency=medium

  * Update XscreenSaver lock screen to 21.04.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sun, 03 Jan 2021 14:49:50 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: debhelper-compat (= 12), intltool
+Build-Depends: debhelper-compat (= 13), intltool
 Standards-Version: 4.5.0
 Homepage: https://lubuntu.me
 Vcs-Browser: https://git.launchpad.net/lubuntu-default-settings?h=master

## lubuntu-default-settings 21.10.2

=== debian/changelog ===
lubuntu-default-settings (21.10.2) impish; urgency=medium

  * Move the Openbox settings to match upstream compatibility changes.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 23 Sep 2021 07:09:49 -0500

lubuntu-default-settings (21.10.1) impish; urgency=medium

  * Update XscreenSaver lock screen to 21.10.
  * Bump Standards version to 4.5.1, no changes needed.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sun, 15 Aug 2021 20:41:28 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper-compat (= 13), intltool
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://lubuntu.me
 Vcs-Browser: https://git.launchpad.net/lubuntu-default-settings?h=master
 Vcs-Git: https://git.launchpad.net/lubuntu-default-settings

## lubuntu-default-settings 22.04.2

=== debian/changelog ===
lubuntu-default-settings (22.04.2) jammy; urgency=medium

  * Depend on fonts-ubuntu instead of obsolete ttf-ubuntu-font-family.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 11 Mar 2022 01:19:56 +0000

lubuntu-default-settings (22.04.1) jammy; urgency=medium

  * Bump Standards version to 4.6.0, no changes needed.
  * Update XscreenSaver lock screen to 22.04.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sun, 14 Nov 2021 10:13:26 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper-compat (= 13), intltool
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://lubuntu.me
 Vcs-Browser: https://git.launchpad.net/lubuntu-default-settings?h=master
 Vcs-Git: https://git.launchpad.net/lubuntu-default-settings
@@ -17,7 +17,7 @@
          lxqt-session,
          openbox,
          policykit-desktop-privileges,
-         ttf-ubuntu-font-family,
+         fonts-ubuntu,
          ${misc:Depends}
 Breaks: lubuntu-default-session (<< 1.0),
         lubuntu-default-settings (<< 1.0),

## lubuntu-default-settings 22.10.1

=== debian/changelog ===
lubuntu-default-settings (22.10.1) kinetic; urgency=medium

  * Update XscreenSaver lock screen to 22.10.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sat, 11 Jun 2022 17:02:57 -0400

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
          lxqt-session,
          openbox,
          policykit-desktop-privileges,
-         fonts-ubuntu,
+         ttf-ubuntu-font-family,
          ${misc:Depends}
 Breaks: lubuntu-default-session (<< 1.0),
         lubuntu-default-settings (<< 1.0),

## lubuntu-default-settings 22.10.2

=== debian/changelog ===
lubuntu-default-settings (22.10.2) kinetic; urgency=medium

  * Add missing changelog and proper fonts depend.

 -- Dan Simmons <kc2bez@lubuntu.me>  Sun, 12 Jun 2022 13:27:07 -0400

## lubuntu-default-settings 22.10.3

=== debian/changelog ===
lubuntu-default-settings (22.10.3) kinetic; urgency=medium

  * Add a new default desktop entry for the Lubuntu Manual.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 16 Jun 2022 23:21:39 -0400

## lubuntu-default-settings 22.10.4

=== debian/changelog ===
lubuntu-default-settings (22.10.4) kinetic; urgency=medium

  * By default, set the tab width to vary with the text content. This makes
    for a cleaner default, and the user can always revert back to fixed width.
  * Add some minimal settings for powermanagement, including switching to a
    much better power icon than the default circle.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 17 Jun 2022 22:17:26 -0500

## lubuntu-default-settings 22.10.5

=== debian/changelog ===
lubuntu-default-settings (22.10.5) kinetic; urgency=medium

  * Overhauled XScreenSaver configuration file to be compatible with the
    version of XScreenSaver in Kinetic, adding customizations to work around
    new and undesirable behavior. (LP: #1989163)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 24 Jan 2023 02:26:54 -0600

## lubuntu-default-settings 23.04.4

=== debian/changelog ===
lubuntu-default-settings (23.04.4) lunar; urgency=medium

  * Added a Picom autostart desktop file to the /etc/xdg/xdg-Lubuntu/autostart
    file, enabling Picom by default.
  * Removed trailing whitespace from changelog.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Ran wrap-and-sort.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Sun, 01 Jan 2023 03:24:03 -0600

lubuntu-default-settings (23.04.3) lunar; urgency=medium

  * Disabled the XFlame screensaver (the user can re-enable it themselves if
    they want).

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 27 Dec 2022 13:46:46 -0600

lubuntu-default-settings (23.04.2) lunar; urgency=medium

  * Overhauled default XScreenSaver configuration file for compatibility with
    the current version of XScreenSaver in Lunar. (LP: #1989163)
  * Changed the default screensaver to GL Matrix to avoid using the sometimes
    glitchy-looking Flurry screensaver. (LP: #1855220)
  * Changed the URL pointed to by the Help button on the XScrenSaver splash
    screen so that it points to the man page for xscreensaver on Ubuntu's
    website.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 27 Dec 2022 13:22:02 -0600

lubuntu-default-settings (23.04.1) lunar; urgency=medium

  * Welcome to the Lunar Lobster!

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 28 Oct 2022 15:03:57 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
 Build-Depends: debhelper-compat (= 13), intltool
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://lubuntu.me
 Vcs-Browser: https://git.launchpad.net/lubuntu-default-settings?h=master
 Vcs-Git: https://git.launchpad.net/lubuntu-default-settings
@@ -13,11 +13,11 @@
 Package: lubuntu-default-settings
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: lubuntu-artwork,
+Depends: fonts-ubuntu,
+         lubuntu-artwork,
          lxqt-session,
          openbox,
          policykit-desktop-privileges,
-         ttf-ubuntu-font-family,
          ${misc:Depends}
 Breaks: lubuntu-default-session (<< 1.0),
         lubuntu-default-settings (<< 1.0),

## lubuntu-default-settings 23.04.5

=== debian/changelog ===
lubuntu-default-settings (23.04.5) lunar; urgency=medium

  * Add qt6ct as a hard dependency and ship a default configuration file
    consistent with our existing default settings. This is to cover the case
    of our Qt 6 applications, which will use qt6ct for theming instead of
    lxqt-qtplugin until support is added. Feels hacky, yet a reasonable fix.
  * Drop many obsolete Breaks/Replaces, since we are far past the transition
    from LXDE.
  * Update the copyright for Lubuntu Developers to 2023.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 24 Jan 2023 15:51:27 -0600

=== debian/control ===
Source: lubuntu-default-settings
Section: x11
Priority: optional
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Build-Depends: debhelper-compat (= 13), intltool
Standards-Version: 4.6.2
Homepage: https://lubuntu.me
Vcs-Browser: https://git.launchpad.net/lubuntu-default-settings?h=master
Vcs-Git: https://git.launchpad.net/lubuntu-default-settings
Rules-Requires-Root: no

Package: lubuntu-default-settings
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: fonts-ubuntu,
         lubuntu-artwork,
         lxqt-session,
         openbox,
         policykit-desktop-privileges,
         qt6ct,
         ${misc:Depends}
Description: default settings for Lubuntu
 Various system settings tailored for Lubuntu.

## lubuntu-default-settings 23.04.6

=== debian/changelog ===
lubuntu-default-settings (23.04.6) lunar; urgency=medium

  * Revert usage of qt6ct, we should work on this natively in LXQt.
  * Reduce the value of SplitterPos in pcmanfm-qt, which looks much nicer.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 10 Mar 2023 11:07:15 -0800

## lubuntu-default-settings 23.10.3

=== debian/changelog ===
lubuntu-default-settings (23.10.3) mantic; urgency=medium

  * Only keep LXQt as DesktopNames, since we don't have a Lubuntu-specific
    config yet.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Sep 2023 10:41:47 -0500

lubuntu-default-settings (23.10.2) mantic; urgency=high

  * Make XDG portals happier (LP: #2036098).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 20 Sep 2023 22:39:15 -0500

lubuntu-default-settings (23.10.1) mantic; urgency=medium

  * Remove Picom autostart so it doesn't start twice, thanks wxl.
    (LP: #2018620)

 -- Dan Simmons <kc2bez@lubuntu.me>  Tue, 15 Aug 2023 07:14:21 -0400

## lubuntu-default-settings 23.10.4

=== debian/changelog ===
lubuntu-default-settings (23.10.4) mantic; urgency=medium

  * Instead of stretching the wallpaper between two monitors, default to one
    wallpaper per monitor.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 08 Oct 2023 11:19:50 -0500

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
          lxqt-session,
          openbox,
          policykit-desktop-privileges,
-         qt6ct,
          ${misc:Depends}
 Description: default settings for Lubuntu
  Various system settings tailored for Lubuntu.

## lubuntu-default-settings 24.04.1

=== debian/changelog ===
lubuntu-default-settings (24.04.1) noble; urgency=medium

  * Zoom wallpaper to fill the screen rather than stretching it (to avoid
    aspect ratio issues).

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Thu, 16 Nov 2023 19:36:15 -0600

## lubuntu-default-settings 24.04.2

=== debian/changelog ===
lubuntu-default-settings (24.04.2) noble; urgency=medium

  * Change the default power icon type to have more details.
  * Disable the idleness watcher when LXQt is fullscreen.
  * Slightly bump up the "power low" warnings, to work around some bugs about
    not notifying quick enough.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 22 Nov 2023 16:55:46 -0600

## lubuntu-default-settings 24.04.3

=== debian/changelog ===
lubuntu-default-settings (24.04.3) noble; urgency=medium

  * Added breeze-gtk-theme to Recommends.
  * Set GTK theming defaults.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 28 Dec 2023 23:43:11 +0000

=== debian/control ===
--- 
+++ 
@@ -19,5 +19,6 @@
          openbox,
          policykit-desktop-privileges,
          ${misc:Depends}
+Recommends: breeze-gtk-theme
 Description: default settings for Lubuntu
  Various system settings tailored for Lubuntu.

## lubuntu-default-settings 24.04.11

=== Makefile ===
#!/usr/bin/make -f

all: build install

build:
	make -C src/usr/share/xsessions/po/
	rm -rf src/usr/share/xsessions/po/ src/usr/share/xsessions/*.in
	cd snap-installation-monitor && cmake -DCMAKE_BUILD_TYPE=Release . && make

install:
	mkdir -pv $(DESTDIR)/lubuntu-snap-installation-monitor/usr/libexec
	mkdir -pv $(DESTDIR)/lubuntu-snap-installation-monitor/etc/xdg/autostart
	mkdir -pv $(DESTDIR)/lubuntu-default-settings/
	cp -a src/etc src/usr $(DESTDIR)/lubuntu-default-settings/.
	cp -a snap-installation-monitor/snap-installation-monitor $(DESTDIR)/lubuntu-snap-installation-monitor/usr/libexec/.
	cp -a snap-installation-monitor/snap-installation-monitor.desktop $(DESTDIR)/lubuntu-snap-installation-monitor/etc/xdg/autostart/.

=== snap-installation-monitor/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(snap-installation-monitor)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
find_package(Qt5 COMPONENTS Widgets DBus REQUIRED)

add_executable(snap-installation-monitor main.cpp)
target_link_libraries(snap-installation-monitor Qt5::Widgets Qt5::DBus)

=== debian/changelog ===
lubuntu-default-settings (24.04.11) noble; urgency=medium

  * Do not show an actual popup, just the notification for the snap monitor.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 17 Apr 2024 22:27:23 -0500

lubuntu-default-settings (24.04.10) noble; urgency=medium

  * Do not show hibernate option in the menu. (LP: #1902497) 

 -- Walter Lapchynski <wxl@ubuntu.com>  Tue, 16 Apr 2024 23:28:56 +0000

lubuntu-default-settings (24.04.9) noble; urgency=medium

  * Create lubuntu-snap-installation-monitor, which tells the user if snaps
    are still being pre-seeded in the background. Mostly used in the case of
    preseeding a lot of snaps, or preseeding snaps on a slower machine
    (LP: #2045580, LP: #2061318).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 14 Apr 2024 15:49:12 -0500

lubuntu-default-settings (24.04.8) noble; urgency=medium

  * Don't decorate firmware-updater, it comes with its own (LP: #2061307).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 14 Apr 2024 12:44:19 -0500

lubuntu-default-settings (24.04.7) noble; urgency=medium

  * Removing outdated Openbox configs. (LP: #2059845)

 -- Walter Lapchynski <wxl@ubuntu.com>  Thu, 11 Apr 2024 19:07:33 +0000

lubuntu-default-settings (24.04.6) noble; urgency=medium

  * Add Orca keybinding.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 11 Mar 2024 14:53:10 -0500

lubuntu-default-settings (24.04.5) noble; urgency=medium

  * Setting Okular as default application for PDF files. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Fri, 08 Mar 2024 22:55:46 +0000

lubuntu-default-settings (24.04.4) noble; urgency=medium

  * Updating quick launch for Firefox snap path. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Thu, 07 Mar 2024 21:50:30 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
 Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
-Build-Depends: debhelper-compat (= 13), intltool
+Build-Depends: cmake, debhelper-compat (= 13), intltool, qtbase5-dev
 Standards-Version: 4.6.2
 Homepage: https://lubuntu.me
 Vcs-Browser: https://git.launchpad.net/lubuntu-default-settings?h=master
@@ -22,3 +22,10 @@
 Recommends: breeze-gtk-theme
 Description: default settings for Lubuntu
  Various system settings tailored for Lubuntu.
+
+Package: lubuntu-snap-installation-monitor
+Architecture: amd64
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Simple notifier for snap installation
+ Let the user know if snaps are still being installed in the background when
+ booting up their desktop environment.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp
